﻿// <auto-generated />
using CarLog.EF;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace CarLog.EF.Migrations
{
    [DbContext(typeof(CarLogContext))]
    [Migration("20211006112404_InitialMigration")]
    partial class InitialMigration
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.10")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("CarLog.Domain.ChargeLog", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal>("ChargerPower")
                        .HasColumnType("decimal(18,2)");

                    b.Property<string>("ChargerProvider")
                        .HasColumnType("nvarchar(max)");

                    b.Property<decimal>("ChargingCost")
                        .HasColumnType("decimal(18,2)");

                    b.Property<int>("ChargingMinutes")
                        .HasColumnType("int");

                    b.Property<decimal>("EndIndex")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("EndProcent")
                        .HasColumnType("decimal(18,2)");

                    b.Property<bool>("IsPublicCharger")
                        .HasColumnType("bit");

                    b.Property<decimal>("StartIndex")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("StartProcent")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("UnitCost")
                        .HasColumnType("decimal(18,2)");

                    b.HasKey("Id");

                    b.ToTable("Charges");
                });

            modelBuilder.Entity("CarLog.Domain.TravelLog", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<decimal>("Consumption")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("Distance")
                        .HasColumnType("decimal(18,2)");

                    b.Property<decimal>("Temperature")
                        .HasColumnType("decimal(18,2)");

                    b.Property<int>("TravelMinutes")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.ToTable("Travels");
                });
#pragma warning restore 612, 618
        }
    }
}
